<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.ss.util (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.ss.util (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.ss.util" class="title">Uses of Package<br>org.apache.poi.ss.util</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.converter">org.apache.poi.hssf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record">org.apache.poi.hssf.record</a></td>
                    <td class="colLast">
                        <div class="block">Record package contains class representations for XLS binary strutures.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record.aggregates">org.apache.poi.hssf.record.aggregates</a>
                    </td>
                    <td class="colLast">
                        <div class="block">record aggregates are not real "records" but collections of records that act
                            as a single record.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="#org.apache.poi.hssf.record.common">org.apache.poi.hssf.record.common</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.util">org.apache.poi.hssf.util</a></td>
                    <td class="colLast">
                        <div class="block">util package contains tools needed for writing HSSF files that are not
                            necesarily "real"
                            HSSF concepts.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula.ptg">org.apache.poi.ss.formula.ptg</a></td>
                    <td class="colLast">
                        <div class="block">formula package contains binary PTG structures used in Formulas</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel.charts">org.apache.poi.ss.usermodel.charts</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel.helpers">org.apache.poi.ss.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.util">org.apache.poi.ss.util</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.util.cellwalk">org.apache.poi.ss.util.cellwalk</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xddf.usermodel.chart">org.apache.poi.xddf.usermodel.chart</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.binary">org.apache.poi.xssf.binary</a></td>
                    <td class="colLast">
                        <div class="block">The org.apache.poi.xssf.binary package includes necessary underlying
                            components
                            for streaming/read-only processing of xlsb files.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.model">org.apache.poi.xssf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel.charts">org.apache.poi.xssf.usermodel.charts</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.converter">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/hssf/converter/package-summary.html">org.apache.poi.hssf.converter</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.hssf.converter">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.hssf.model">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/PaneInformation.html#org.apache.poi.hssf.model">PaneInformation</a>
                        <div class="block">Holds information regarding a split plane or freeze plane for a sheet.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/hssf/record/package-summary.html">org.apache.poi.hssf.record</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.hssf.record">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressList.html#org.apache.poi.hssf.record">CellRangeAddressList</a>
                        <div class="block">Implementation of the cell range address lists,like is described
                            in OpenOffice.org's Excel Documentation: excelfileformat.pdf sec 2.5.14 -
                            'Cell Range Address List'

                            In BIFF8 there is a common way to store absolute cell range address lists in
                            several records (not formulas).
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record.aggregates">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.hssf.record.aggregates">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.hssf.record.aggregates">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.record.common">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/hssf/record/common/package-summary.html">org.apache.poi.hssf.record.common</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.hssf.record.common">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/AreaReference.html#org.apache.poi.hssf.usermodel">AreaReference</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellAddress.html#org.apache.poi.hssf.usermodel">CellAddress</a>
                        <div class="block">This class is a container for POI usermodel row=0 column=0 cell references.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.hssf.usermodel">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressBase.html#org.apache.poi.hssf.usermodel">CellRangeAddressBase</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressList.html#org.apache.poi.hssf.usermodel">CellRangeAddressList</a>
                        <div class="block">Implementation of the cell range address lists,like is described
                            in OpenOffice.org's Excel Documentation: excelfileformat.pdf sec 2.5.14 -
                            'Cell Range Address List'

                            In BIFF8 there is a common way to store absolute cell range address lists in
                            several records (not formulas).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.hssf.usermodel">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/PaneInformation.html#org.apache.poi.hssf.usermodel">PaneInformation</a>
                        <div class="block">Holds information regarding a split plane or freeze plane for a sheet.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.hssf.util">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.hssf.util">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressBase.html#org.apache.poi.hssf.util">CellRangeAddressBase</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.hssf.util">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/AreaReference.html#org.apache.poi.ss.formula">AreaReference</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.ss.formula">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressBase.html#org.apache.poi.ss.formula">CellRangeAddressBase</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.ss.formula">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.formula.ptg">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">org.apache.poi.ss.formula.ptg</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/AreaReference.html#org.apache.poi.ss.formula.ptg">AreaReference</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.ss.formula.ptg">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/AreaReference.html#org.apache.poi.ss.usermodel">AreaReference</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellAddress.html#org.apache.poi.ss.usermodel">CellAddress</a>
                        <div class="block">This class is a container for POI usermodel row=0 column=0 cell references.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.ss.usermodel">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressBase.html#org.apache.poi.ss.usermodel">CellRangeAddressBase</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressList.html#org.apache.poi.ss.usermodel">CellRangeAddressList</a>
                        <div class="block">Implementation of the cell range address lists,like is described
                            in OpenOffice.org's Excel Documentation: excelfileformat.pdf sec 2.5.14 -
                            'Cell Range Address List'

                            In BIFF8 there is a common way to store absolute cell range address lists in
                            several records (not formulas).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.ss.usermodel">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/PaneInformation.html#org.apache.poi.ss.usermodel">PaneInformation</a>
                        <div class="block">Holds information regarding a split plane or freeze plane for a sheet.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.usermodel.charts">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/ss/usermodel/charts/package-summary.html">org.apache.poi.ss.usermodel.charts</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.ss.usermodel.charts">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.ss.usermodel.charts">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.usermodel.helpers">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/ss/usermodel/helpers/package-summary.html">org.apache.poi.ss.usermodel.helpers</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.ss.usermodel.helpers">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.util">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/AreaReference.html#org.apache.poi.ss.util">AreaReference</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellAddress.html#org.apache.poi.ss.util">CellAddress</a>
                        <div class="block">This class is a container for POI usermodel row=0 column=0 cell references.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.ss.util">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressBase.html#org.apache.poi.ss.util">CellRangeAddressBase</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressBase.CellPosition.html#org.apache.poi.ss.util">CellRangeAddressBase.CellPosition</a>
                        <div class="block">Indicates a cell or range is in the given relative position in a range.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressList.html#org.apache.poi.ss.util">CellRangeAddressList</a>
                        <div class="block">Implementation of the cell range address lists,like is described
                            in OpenOffice.org's Excel Documentation: excelfileformat.pdf sec 2.5.14 -
                            'Cell Range Address List'

                            In BIFF8 there is a common way to store absolute cell range address lists in
                            several records (not formulas).
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.ss.util">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.NameType.html#org.apache.poi.ss.util">CellReference.NameType</a>
                        <div class="block">Used to classify identifiers found in formulas as cell references or not.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/PropertyTemplate.html#org.apache.poi.ss.util">PropertyTemplate</a>
                        <div class="block">
                            A <a href="../../../../../org/apache/poi/ss/util/PropertyTemplate.html"
                                 title="class in org.apache.poi.ss.util"><code>PropertyTemplate</code></a> is a template
                            that can be applied to any sheet in
                            a project.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/SheetBuilder.html#org.apache.poi.ss.util">SheetBuilder</a>
                        <div class="block">Class <code>SheetBuilder</code> provides an easy way of building workbook
                            sheets
                            from 2D array of Objects.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/SSCellRange.html#org.apache.poi.ss.util">SSCellRange</a>
                        <div class="block">For POI internal use only</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.ss.util.cellwalk">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/ss/util/cellwalk/package-summary.html">org.apache.poi.ss.util.cellwalk</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.ss.util.cellwalk">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xddf.usermodel.chart">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/xddf/usermodel/chart/package-summary.html">org.apache.poi.xddf.usermodel.chart</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.xddf.usermodel.chart">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.xddf.usermodel.chart">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.binary">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/xssf/binary/package-summary.html">org.apache.poi.xssf.binary</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellAddress.html#org.apache.poi.xssf.binary">CellAddress</a>
                        <div class="block">This class is a container for POI usermodel row=0 column=0 cell references.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellAddress.html#org.apache.poi.xssf.model">CellAddress</a>
                        <div class="block">This class is a container for POI usermodel row=0 column=0 cell references.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.streaming">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/xssf/streaming/package-summary.html">org.apache.poi.xssf.streaming</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/AreaReference.html#org.apache.poi.xssf.streaming">AreaReference</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellAddress.html#org.apache.poi.xssf.streaming">CellAddress</a>
                        <div class="block">This class is a container for POI usermodel row=0 column=0 cell references.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.xssf.streaming">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.xssf.streaming">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/PaneInformation.html#org.apache.poi.xssf.streaming">PaneInformation</a>
                        <div class="block">Holds information regarding a split plane or freeze plane for a sheet.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/AreaReference.html#org.apache.poi.xssf.usermodel">AreaReference</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellAddress.html#org.apache.poi.xssf.usermodel">CellAddress</a>
                        <div class="block">This class is a container for POI usermodel row=0 column=0 cell references.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddress.html#org.apache.poi.xssf.usermodel">CellRangeAddress</a>
                        <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                            Address'
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellRangeAddressList.html#org.apache.poi.xssf.usermodel">CellRangeAddressList</a>
                        <div class="block">Implementation of the cell range address lists,like is described
                            in OpenOffice.org's Excel Documentation: excelfileformat.pdf sec 2.5.14 -
                            'Cell Range Address List'

                            In BIFF8 there is a common way to store absolute cell range address lists in
                            several records (not formulas).
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.xssf.usermodel">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/PaneInformation.html#org.apache.poi.xssf.usermodel">PaneInformation</a>
                        <div class="block">Holds information regarding a split plane or freeze plane for a sheet.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xssf.usermodel.charts">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> used by <a
                        href="../../../../../org/apache/poi/xssf/usermodel/charts/package-summary.html">org.apache.poi.xssf.usermodel.charts</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/ss/util/class-use/CellReference.html#org.apache.poi.xssf.usermodel.charts">CellReference</a>
                        <div class="block">Common conversion functions between Excel style A1, C27 style
                            cell references, and POI usermodel style row=0, column=0
                            style references.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/package-use.html" target="_top">Frames</a></li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
